Debian Bug report logs - #627253
plee-the-bear: FTBFS with boost 1.46

version graph

Package: src:plee-the-bear; Maintainer for src:plee-the-bear is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Wed, 18 May 2011 23:18:04 UTC

Severity: serious

Tags: patch

Found in version plee-the-bear/0.5.1-1

Fixed in version 0.6.0-1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#627253; Package src:plee-the-bear. (Wed, 18 May 2011 23:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 18 May 2011 23:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: plee-the-bear: FTBFS with boost 1.46
Date: Thu, 19 May 2011 02:15:16 +0300
[Message part 1 (text/plain, inline)]
Source: plee-the-bear
Version: 0.5.1-1
Severity: important
Tags: patch

According to

http://buildd.debian-ports.org/status/fetch.php?pkg=plee-the-bear&arch=armhf&ver=0.5.1-1%2Bb1&stamp=1303399989

This package fails to build with the new boost 1.46.
The attached patch enables the build with both 1.42 and 1.46 versions
of boost.

Regards

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[plee-the-bear_boost1.46.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#627253; Package src:plee-the-bear. (Mon, 27 Jun 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 27 Jun 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 627253@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@debian.org>
To: 627253@bugs.debian.org
Cc: Konstantinos Margaritis <markos@genesi-usa.com>
Subject: Re: Bug#627253: plee-the-bear: FTBFS with boost 1.46
Date: Mon, 27 Jun 2011 15:55:49 +0200
[Message part 1 (text/plain, inline)]
Am Donnerstag, den 19.05.2011, 02:15 +0300 schrieb Konstantinos
Margaritis:
> Source: plee-the-bear
> Version: 0.5.1-1
> Severity: important
> Tags: patch
> 
> According to
> 
> http://buildd.debian-ports.org/status/fetch.php?pkg=plee-the-bear&arch=armhf&ver=0.5.1-1%2Bb1&stamp=1303399989
> 
> This package fails to build with the new boost 1.46.
> The attached patch enables the build with both 1.42 and 1.46 versions
> of boost.

Hi Konstantinos,

it looks as if you've included editors-default-dir.diff in your patch by
accident. I removed it from your patch, it applied with some offsets
after that as the top most patch but plee-the-bear still FTBFS. The
build log is attached to this mail.

Cheers - Fuddl
[plee-the-bear_0.5.1-2-i386-20110627-1519 (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#627253; Package src:plee-the-bear. (Mon, 22 Aug 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 22 Aug 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #15 received at 627253@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Bruno Kleinert <fuddl@debian.org>
Cc: 627253@bugs.debian.org
Subject: Re: Bug#627253: plee-the-bear: FTBFS with boost 1.46
Date: Mon, 22 Aug 2011 16:25:29 +0200
severity 627253 serious
thanks

On Mon, Jun 27, 2011 at 03:55:49PM +0200, Bruno Kleinert wrote:
> Am Donnerstag, den 19.05.2011, 02:15 +0300 schrieb Konstantinos
> Margaritis:
> > Source: plee-the-bear
> > Version: 0.5.1-1
> > Severity: important
> > Tags: patch
> > 
> > According to
> > 
> > http://buildd.debian-ports.org/status/fetch.php?pkg=plee-the-bear&arch=armhf&ver=0.5.1-1%2Bb1&stamp=1303399989
> > 
> > This package fails to build with the new boost 1.46.
> > The attached patch enables the build with both 1.42 and 1.46 versions
> > of boost.
> 
> Hi Konstantinos,
> 
> it looks as if you've included editors-default-dir.diff in your patch by
> accident. I removed it from your patch, it applied with some offsets
> after that as the top most patch but plee-the-bear still FTBFS. The
> build log is attached to this mail.
> 

boost1.46 being the default, in also now FTBFS in unstable. I am
therefore upgrading the severity of this bug.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Severity set to 'serious' from 'important' Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Mon, 22 Aug 2011 14:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#627253; Package src:plee-the-bear. (Tue, 23 Aug 2011 17:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Jorge <julien.jorge@gamned.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 23 Aug 2011 17:21:08 GMT) Full text and rfc822 format available.

Message #22 received at 627253@bugs.debian.org (full text, mbox):

From: Julien Jorge <julien.jorge@gamned.org>
To: Bruno Kleinert <fuddl@debian.org>, 627253@bugs.debian.org
Subject: Re: Bug#627253: plee-the-bear: FTBFS with boost 1.46
Date: Tue, 23 Aug 2011 19:10:22 +0200
Le Mon, 27 Jun 2011 15:55:49 +0200,
Bruno Kleinert <fuddl@debian.org> a écrit :

> Am Donnerstag, den 19.05.2011, 02:15 +0300 schrieb Konstantinos
> Margaritis:
> > Source: plee-the-bear
> > Version: 0.5.1-1
> > Severity: important
> > Tags: patch
> > 
> > According to
> > 
> > http://buildd.debian-ports.org/status/fetch.php?pkg=plee-the-bear&arch=armhf&ver=0.5.1-1%2Bb1&stamp=1303399989
> > 
> > This package fails to build with the new boost 1.46.
> > The attached patch enables the build with both 1.42 and 1.46
> > versions of boost.
> 
> Hi Konstantinos,
> 
> it looks as if you've included editors-default-dir.diff in your patch
> by accident. I removed it from your patch, it applied with some
> offsets after that as the top most patch but plee-the-bear still
> FTBFS. The build log is attached to this mail.
> 
> Cheers - Fuddl

Hello,

Thank you for the bug report and for taking the time to test the patch.
I'm now working on it.

Regards,

Julien




Added indication that bug 627253 blocks 623989 Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 00:15:09 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 16 Sep 2011 22:12:54 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 16 Sep 2011 22:12:54 GMT) Full text and rfc822 format available.

Message #29 received at 627253-done@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 627253-done@bugs.debian.org
Subject: Re: plee-the-bear: FTBFS with boost 1.46
Date: Sat, 17 Sep 2011 00:09:50 +0200
[Message part 1 (text/plain, inline)]
Version: 0.6.0-1


Fixed in 0.6.0-1, thanks!

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Oct 2011 07:36:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:31:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.